org.springframework.core.io.support

## Class DefaultPropertySourceFactory

- java.lang.Object
- - org.springframework.core.io.support.DefaultPropertySourceFactory

- All Implemented Interfaces:
    PropertySourceFactory

      public class DefaultPropertySourceFactory
      extends Object
      implements PropertySourceFactory

  The default implementation for `PropertySourceFactory`, wrapping every resource in a `ResourcePropertySource`.
  Since:
    4.3
  Author:
    Juergen Hoeller
  See Also:
    `PropertySourceFactory`, `ResourcePropertySource`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPropertySourceFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertySource<?>` | `createPropertySource(String name, EncodedResource resource)` Create a `PropertySource` that wraps the given resource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPropertySourceFactory

          public DefaultPropertySourceFactory()

  - ### Method Detail

    - #### createPropertySource

          public PropertySource<?> createPropertySource(@Nullable
                                                        String name,
                                                        EncodedResource resource)
                                                 throws IOException

      Description copied from interface: `PropertySourceFactory`
      Create a `PropertySource` that wraps the given resource.
      Specified by:
        `createPropertySource` in interface `PropertySourceFactory`
      Parameters:
        `name` - the name of the property source (can be `null` in which case the factory implementation will have to generate a name based on the given resource)
        `resource` - the resource (potentially encoded) to wrap
      Returns:
        the new `PropertySource` (never `null`)
      Throws:
        `IOException` - if resource resolution failed